package com.trade.common.config.mybatis.plugin;

/**
 * I18n的元数据类
 */
public class BaseI18nMetaData {

    private Long id;
    private String field;
    private String language;
    private String value;

    public BaseI18nMetaData() {
    }
    public BaseI18nMetaData(Long id, String field, String language, String value) {
        this.id = id;
        this.field = field;
        this.language = language;
        this.value = value;
    }
    public BaseI18nMetaData(String field, String language, String value) {
        this.field = field;
        this.language = language;
        this.value = value;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getField() {
        return field;
    }

    public void setField(String field) {
        this.field = field;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }
}
